View Issue Details

IDProjectCategoryView StatusLast Update
0006620mantisbtreportspublic2014-12-08 00:34
ReportereibenAssigned Tograngeway 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0006620: Relationgraph is not displayed
Description

When I call the relationgraph (actually any graph at all) this is not being display. I have fiddled around with the graphing-api and this what I figured so far:

The dot-code seems OK (did a Validate on the Neato-thingy) and I can create a PNG, JPEG, SVG (whatever) alright using a little VBScript. Calling the bug_relationship_graph_img.php direcly gives me the correct content-type and content length (I know the sice of the resulting PNG because of my VBScript), but Firefox just displays the URL instead of the image.

So something magic must be happening while the bug_relationship_graph_img.php is being processed.

Additional Information
  • Mantis 1.0.0rc5
  • PHP 5.11 on Windows 2003 Server (as well as PHP 5.12 on Windows 2000 Professional) running as ISAPI
  • Wingraphviz 1.02.25s
TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2010-08-14 14:38

reporter   ~0026315

Fixed by removing support for wingraphviz - just use the dot/neato exe's - see snapshot/commit @ http://git.mantisforge.org/w/mantisbt.git?a=commit;h=629a6760104e5f742ad54b5a765be78d4c42eef3

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036498

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Issue History

Date Modified Username Field Change
2006-01-20 03:46 eiben New Issue
2010-08-14 14:38 grangeway Note Added: 0026315
2010-08-14 14:38 grangeway Status new => resolved
2010-08-14 14:38 grangeway Fixed in Version => 1.3.0-beta.1
2010-08-14 14:38 grangeway Resolution open => fixed
2010-08-14 14:38 grangeway Assigned To => grangeway
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036498
2013-04-05 18:05 grangeway Relationship added related to 0015721
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-04-27 17:03 atrol Assigned To grangeway =>
2013-04-27 17:03 atrol Status resolved => new
2013-04-27 17:03 atrol Resolution fixed => open
2013-04-27 17:03 atrol Fixed in Version 1.3.0-beta.1 =>
2013-04-27 17:16 atrol Status new => resolved
2013-04-27 17:16 atrol Fixed in Version => 1.3.0-beta.1
2013-04-27 17:16 atrol Resolution open => fixed
2013-04-27 17:16 atrol Assigned To => grangeway
2013-04-27 17:40 atrol Target Version => 1.3.0-beta.1
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-11-25 11:04 vboctor Category graphs => reports
2014-12-08 00:34 vboctor Status resolved => closed